package com.qiankun.dao;

import com.qiankun.dao.core.Hints;
import com.qiankun.dao.core.IDao;
import com.qiankun.entity.RainbowPlanUser;
import com.qiankun.pages.IPageList;

import java.util.List;

public interface RainbowPlanUserDao extends IDao<RainbowPlanUser,String> {
    RainbowPlanUser findByOpenid(String openid);

    RainbowPlanUser findByPhone(String phone);

    List<RainbowPlanUser> findByIds(List<String> ids);

    boolean validateUserExistByPhone(String phone);

	IPageList<RainbowPlanUser> findUserPage(String searchStr, Integer type, Integer status, String order, String sort,
			Hints hints);
}
